Parameters

user
dictionary
uuid
string
Required
Description
Unique device or anonymous session identifier used to create or replace the current session.
email
string
Required
Description
Registered email address for the user account.
password
string
Required
Description
Account password.
type
string
Required
Description
User role to log in as, for example `customer`.
auth_type
number
Description
Optional auth flow override. Use `1` for Email & Password when overriding the tenant default.
token
string
Description
TOTP code required only when MFA is enabled for the user account.
POST/v1/users/login
curl https://api.tradly.app/v1/users/login \
  -H "Authorization: Bearer YOUR_PUBLISHABLE_OR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -X POST \
  -d '{
  "user": {
    "uuid": "cea6e059-adbf-4b19-a9c7-0037886050f1",
    "email": "your_name@example.com",
    "password": "123123&&!",
    "type": "customer"
  }
}'
RESPONSE
{
  "status": true,
  "data": {
    "user": {
      "id": "692ee113-310b-4e66-b5b5-33796f9616e3",
      "first_name": "Charles",
      "last_name": "Pearson",
      "email": "your_name@example.com",
      "profile_pic": "",
      "email_verified": true,
      "key": {
        "auth_key": "<AUTH_KEY>",
        "refresh_key": "<REFRESH_KEY>"
      }
    }
  }
}